> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/shopify/salesforce-commerce-cloud/getting-started-guide/import-metadata.md).

# Import Metadata

Before using the ESW cartridge functionality, you must import essential metadata files into Salesforce Commerce Cloud (SFCC). These files configure custom objects, services, jobs, and site preferences required for proper cartridge operation.

### ESW Metadata Files

| **Metadata File Name**       | **Path**                                                                                                                        | **Description**                            |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| `customobjects.xml`          | `/link_eshopworld/Metadata/meta/`                                                                                               | ESW custom objects                         |
| `customobjects_pwa.xml`      | `/link_eshopworld/Metadata/meta/`                                                                                               | ESW additional custom objects for PWA      |
| `systemobjects.xml`          | `/link_eshopworld/Metadata/meta/`                                                                                               | ESW system objects extensions              |
| `systemobjects_headless.xml` | `/link_eshopworld/Metadata/meta/`                                                                                               | ESW additional system objects for Headless |
| `systemobjects_pwa.xml`      | `/link_eshopworld/Metadata/meta/`                                                                                               | ESW additional system objects for PWA      |
| `services.xml`               | `/link_eshopworld/Metadata/`                                                                                                    | ESW services                               |
| `jobs.xml`                   | `/link_eshopworld/Metadata/`                                                                                                    | ESW jobs                                   |
| `content-assets.xml`         | <p><code>/link\_eshopworld/Metadata/sites/SiteGenesis</code><br>or<br><code>/link\_eshopworld/Metadata/sites/RefArch</code></p> | ESW content assets                         |
| `payment-methods.xml`        | <p><code>/link\_eshopworld/Metadata/sites/SiteGenesis</code><br>or<br><code>/link\_eshopworld/Metadata/sites/RefArch</code></p> | ESW payment methods                        |
| `slots.xml`                  | <p><code>/link\_eshopworld/Metadata/sites/SiteGenesis</code><br>or<br><code>/link\_eshopworld/Metadata/sites/RefArch</code></p> | ESW slots                                  |

### Metadata Import Steps

To fully enable ESW cartridge functionality, the following metadata files must be imported into SFCC Business Manager using MERGE mode. This ensures existing configurations are preserved while new ones are added.

{% stepper %}
{% step %}

#### Import customobjects.xml, systemobjects.xml, systemobjects\_headless.xml files

Navigate to **Administration > Site Development > Import & Export**

* Import in **MERGE** mode:
  * `customobjects.xml`
  * `systemobjects.xml`
  * `systemobjects_headless.xml`

![Image](/files/48029d5bb4f482e67d7b80b90cbaf1d92121b488)
{% endstep %}

{% step %}

#### Import services.xml, jobs.xml files

Navigate to **Administration > Site Development > Import & Export**

* Import in **MERGE** mode:
  * `services.xml`
  * `jobs.xml`
    {% endstep %}

{% step %}

#### Import content-assets.xml file

Navigate to **Administration > Site Development > Import & Export**

* Import in **MERGE** mode:
  * `content-assets.xml`
    {% endstep %}

{% step %}

#### Import payment-methods.xml file

Navigate to **Administration > Site Development > Import & Export**

* Import in **MERGE** mode:
  * `payment-methods.xml`
    {% endstep %}

{% step %}

#### Import slots.xml file

Navigate to **Administration > Site Development > Import & Export**

* Import in **MERGE** mode:
  * `slots.xml`
    {% endstep %}
    {% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/shopify/salesforce-commerce-cloud/getting-started-guide/import-metadata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
